<?php
// Monitor vehicle views and enquiries

// set application defaults
$defaults='INCLUDEFOLDER;IMAGEFOLDER;DATAFOLDER;';

$inifile='autodirector.ini';
$ini=parse_ini_file($inifile);
foreach ($ini as $key=>$value) {
	define($key, $value);
	$defaults=str_replace($key.';', '', $defaults);
}
unset($ini);

// missing application defaults
if ($defaults!='') { returnGIF(); exit; }
unset($defaults);


// ________________________________________________________
// MAIN APPLICATION

// PHP includes
require(INCLUDEFOLDER.'dbhandler.php');

// setup database object
$db=new dbObject;

// fetch posted values
$site=getvar('site');
$id=getvar('id', 'x');

if ($site!='' && is_numeric($id)) {

	// get existing database values
	$db->pagesize=0;
	if ($db->fetch("SELECT views FROM $site WHERE id=$id;")) {

		if ($db->rowcount==1) {
			$row=$db->row();
			$views=$row[0];
			$views++;
			$done=$db->fetch("UPDATE $site SET views=$views WHERE id=$id;");
		}
	}
}

// disconnect from database
$db->dbDisconnect();
unset($db);

returnGIF();

// ________________________________________________________
// return transparent GIF
function returnGIF() {
	header("Content-type: image/gif");
	$pic=IMAGEFOLDER.'spacer.gif';
	if (file_exists($pic)) {
		$fd = fopen($pic, "r");
		print fread($fd, filesize($pic));
		fclose($fd);
	}
}


// ________________________________________________________
// fetches a GET form variable or sets to a default
function getvar($var, $default="") {
	if (isset($_GET[$var])) {
		$ret=$_GET[$var];
		if (get_magic_quotes_gpc()) $ret=stripslashes($ret);
	}
	else {
		$ret=$default;
	}
	return $ret;
}
?>